Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface NTSecApi

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface NTSecApi

extends com.sun.jna.win32.StdCallLibrary

Ported from NTSecApi.h Windows SDK 6.0A.

Nested Class Summary
`static class` | `NTSecApi.LSA_FOREST_TRUST_BINARY_DATA`
`static class` | `NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO`
`static class` | `NTSecApi.LSA_FOREST_TRUST_INFORMATION`
`static class` | `NTSecApi.LSA_FOREST_TRUST_RECORD`
`static class` | `NTSecApi.LSA_UNICODE_STRING` The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.
`static class` | `NTSecApi.PLSA_FOREST_TRUST_INFORMATION` The LSA_FOREST_TRUST_INFORMATION structure contains Local Security Authority forest trust information.
`static class` | `NTSecApi.PLSA_FOREST_TRUST_RECORD`
`static class` | `NTSecApi.PLSA_UNICODE_STRING` Pointer to an LSA_UNICODE_STRING.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `ForestTrustDomainInfo` Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.
`static int` | `ForestTrustTopLevelName` Record contains an included top-level name.
`static int` | `ForestTrustTopLevelNameEx` Record contains an excluded top-level name.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### ForestTrustTopLevelName

    static final int ForestTrustTopLevelName

  Record contains an included top-level name.

  See Also:
    Constant Field Values

### ForestTrustTopLevelNameEx

    static final int ForestTrustTopLevelNameEx

  Record contains an excluded top-level name.

  See Also:
    Constant Field Values

### ForestTrustDomainInfo

    static final int ForestTrustDomainInfo

  Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD